<?php
# ***** SETTINGS ***** #
//error_reporting(E_ERROR | E_WARNING | E_PARSE);
error_reporting(E_ERROR);
// Errors are emailed here.
$contact_email = 'renjith@pi-digi.com';

//date_default_timezone_set("UTC");
date_default_timezone_set('Asia/Dubai');

// Determine whether we're working on a local server
// or on the real server:
/*if (stristr($_SERVER['HTTP_HOST'], '127.0.0.1') || stristr($_SERVER['HTTP_HOST'], 'localhost') || (substr($_SERVER['REMOTE_ADDR'], 0, 7) == '192.168')) {
	$local = TRUE;
} else {
	$local = FALSE;
}*/
$local = false;

// Determine location of files and the URL of the site:
// Allow for development on different servers.
if ($local) {
	// Always debug when running locally:
	$debug = true;
	// Define the constants:
	define ('BASE_URI', '');
	define ('BASE_URL',	'http://localhost/bizcard/');
} else {
	/************************ MODIFY HERE ***************************************/
	/****************************************************************************/
	$debug = true;		
	define ('BASE_URI', '/home/pidigi/public_html/');
	define ('BASE_URL',	'https://pidigi.org/');
}

define ('DB', BASE_URI. 'config/mysql.inc.php');
define ('ADMIN_EMAIL', 'swaroop@pi-digi.com');
define('APP_NAME', 'BizCard');

define('STOCK_IMG_FOLDER', BASE_URI.'stock_images/');
define('STOCK_IMG_URL', BASE_URL.'stock_images/');

define('CARD_IMG_FOLDER', BASE_URI.'card_images/');
define('CARD_IMG_URL', BASE_URL.'card_images/');

define('CUSTOM_IMG_FOLDER', BASE_URI.'custom_images/');
define('CUSTOM_IMG_URL', BASE_URL.'custom_images/');

define('PROFILE_IMG_FOLDER', BASE_URI.'profile_images/');
define('PROFILE_IMG_URL', BASE_URL.'profile_images/');

define('SLIDER_IMG_FOLDER', BASE_URI.'slider_images/');
define('SLIDER_IMG_URL', BASE_URL.'slider_images/');

define('LOGO_IMG_FOLDER', BASE_URI.'logo_images/');
define('LOGO_IMG_URL', BASE_URL.'logo_images/');

define('FB_APP_ID', '1028975274230908');
define('FB_APP_SECRET', 'b4b7d78c849ea4e646498a8a1630e68c');

define('SENDGRID_PASSWORD', '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'); //Biz api


/**	Most important setting...
 *	The $debug variable is used to set error management.*/

$debug = true;

// Assume debugging is off.
if (!isset($debug)) {
	$debug = false;
}

# ***** SETTINGS ***** #
# ******************** #

# **************************** #
# ***** ERROR MANAGEMENT ***** #

// Create the error handler.
function my_error_handler ($e_number, $e_message, $e_file, $e_line, $e_vars) {

	global $debug, $contact_email;
	
	
	// Build the error message.
	$message = "An error occurred in script '$e_file' on line $e_line: \n<br />$e_message\n<br />";

	// Add the date and time.
	$message .= "Date/Time: " . date('n-j-Y H:i:s') . "\n<br />";

	// Append $e_vars to the $message.
	//$message .= "<pre>" . print_r ($e_vars, 1) . "</pre>\n<br />";
	
	if ($debug) { // Show the error.
		echo '<p class="error">' . $message . '</p>';
	} else {
		// Log the error:
		//error_log ($message, 1, $contact_email); // Send email.
		// Only print an error message if the error isn't a notice or strict.
		if ( ($e_number != E_NOTICE) && ($e_number < 2048)) {
			echo '<p class="error">.</p>';
		}
	} // End of $debug IF.
} // End of my_error_handler() definition.

// Use my error handler:
set_error_handler ('my_error_handler');

# ***** ERROR MANAGEMENT ***** #
# **************************** #
?>